%global registry geronimo-osgi-registry
%global locator geronimo-osgi-locator
Name:                geronimo-osgi-support
Version:             1.0
Release:             1
Summary:             OSGI spec bundle support
License:             ASL 2.0 and W3C
URL:                 http://geronimo.apache.org/
Source0:             https://repo1.maven.org/maven2/org/apache/geronimo/specs/%{name}/%{version}/%{name}-%{version}-source-release.tar.gz
BuildArch:           noarch
BuildRequires:       java-devel >= 1:1.6.0 jpackage-utils maven-local felix-osgi-core
BuildRequires:       felix-osgi-compendium geronimo-parent-poms maven-resources-plugin
Provides:            geronimo-osgi-locator = %{version}-%{release}
Provides:            geronimo-osgi-registry = %{version}-%{release}

%description
This project is a set of bundles and integration tests for implementing
OSGi-specific lookup in the Geronimo spec projects.

%package help
Summary:             API documentation for %{name}
Provides:            %{name}-javadoc = %{version}-%{release}
Obsoletes:           %{name}-javadoc < %{version}-%{release}

%description help
This package contains the API documentation for %{name}.

%prep
%setup -q
iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE NOTICE
%pom_set_parent org.apache.geronimo.specs:specs:1.4
%pom_disable_module geronimo-osgi-itesta
%pom_disable_module geronimo-osgi-itestb
%pom_disable_module geronimo-osgi-registry-itests
%pom_disable_module geronimo-osgi-locator-itests
%pom_xpath_inject "pom:plugin[pom:artifactId[text()='maven-bundle-plugin']]
                       /pom:configuration/pom:instructions" "
    <Export-Package>!*</Export-Package>" geronimo-osgi-locator
%mvn_file ':{*}' @1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files help -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Sat Jul 25 2020 huanghaitao <huanghaitao8@huawei.com> - 1.0-1
- package init
